<template>
   <div class="bar-chart-box">
        <div :id="divid" class="bar-chart"></div>
        <div class="number-tag">
            <div class="flex">
                <div class="flex-direction"><div class="number-ball color1">10</div>设备故障诊断</div>
            </div>
            <div class="flex space-evenly align-items">
                <div class="flex-direction"><div class="number-ball color2">15</div>时序趋势预警</div>
                <div class="flex-direction"><div class="number-ball color3">7</div>专家趋势预警</div>
            </div>
        </div>
   </div>
</template>

<script>
import * as echarts from 'echarts';

var chartDom;
var myChart;
var option;
export default {
    props:{
        divid:String,
        bardata:Array,
        title:String,
        iscoustomecolor:Boolean
    },
    data(){
        return {

        }
    },
    mounted(){
        this.$nextTick(function(){
          setTimeout(() => {
            this.initPinChart()
        }, 100);
        })

    },
    methods:{
        initPinChart(){
            let isCustomerColor = this.iscoustomecolor
            chartDom = document.getElementById(this.divid);
            myChart = echarts.init(chartDom);
            option = option = {
                title: {
                    text: this.title,
                    left: 'center'
                },
                xAxis: {
                    type: 'category',
                    data: ['正常', '注意', '异常', '严重']
                },
                yAxis: {
                    type: 'value'
                },
                series: [
                    {
                    data: this.bardata,
                    type: 'bar',
                    itemStyle: {
                        normal: {
                            //这里是颜色
                            color: function(params) {
                                //注意，如果颜色太少的话，后面颜色不会自动循环，最好多定义几个颜色
                                var colorList = [                                        
                                    '#70b603',
                                    '#facd91',
                                    '#b8741a',
                                    '#d9001b',
                                        ];
                                return colorList[params.dataIndex]
                            }
                        }
                    }
                    }
                ]
                };

        option && myChart.setOption(option);
        }
    }
}
</script>

<style scoped>
.bar-chart-box{
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}
.bar-chart{
    width: 50%;
    height: 100%;
}
.number-tag{
    width: 50%;
    height: 100%;
}
.flex {
    width: 100%;
    height: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
}
.space-evenly{
    justify-content: space-evenly;
}
.align-items{
    align-items: flex-start;
}
.number-ball{
    width: 60px;
    height: 60px;
    border-radius: 50%;
    border:1px solid #000000;
    font-size:24px;
    color: #fff;
    font-weight: bold;
    text-align: center;
    line-height: 60px;
}
.flex-direction{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.color1{
    background-color: #F59A23;
}
.color2{
    background-color: #8080FF;
}
.color3{
    background-color: #EC808D;
}
</style>